
#include "CFilledBorder.h"

/*****************************************************************************/
void CFilledBorder::IFilledBorder(CView *anEnclosure, CBureaucrat *aSupervisor,
					short aWidth, short aHeight,
					short aHEncl, short aVEncl,
					SizingOption aHSizing, SizingOption aVSizing)
{
	CBorder::IBorder( anEnclosure, aSupervisor, aWidth, aHeight,
				aHEncl, aVEncl, aHSizing, aVSizing);

}	/* CFilledBorder::IFilledBorder */
/*****************************************************************************/
void CFilledBorder::Draw(Rect *area)
{
	Rect interior;
	
	GetInterior( &interior);
	if (SectRect( area, &interior, &interior))
		EraseRect( &interior);
		
	inherited::Draw( area);

}	/* CFilledBorder::Draw */
/*****************************************************************************/
