/*****************************************************************************
CSmartBartender.c

	see header for more information
	
SUPERCLASS = CBartender
*****************************************************************************/

#include "CSmartBartender.h"

/*****************************************************************************/
void CSmartBartender::ISmartBartender(Int16 MBARid)
{
	CBartender::IBartender( MBARid);

}	/* CSmartBartender::ISmartBartender */
/*****************************************************************************/
void CSmartBartender::DisableAllMenus( void)
{
	register MenuEntryP		theEntry;
	register Int32			i;
	register Int16			theID;
	
	HLock( theMenus);
	theEntry = *theMenus;

	for (i = 0; i < numMenus; i++) 
	{
		theID = theEntry[i].MENUid;
		if (theID < 100)
			DisableItem( GetMHandle(theID), 0);
	}
	HUnlock( theMenus);
	DrawMenuBar();

}	/* CSmartBartender::DisableAllMenus */
/*****************************************************************************/
void CSmartBartender::EnableAllMenus( void)
{
	register MenuEntryP		theEntry;
	register Int32			i;
	register Int16			theID;

	HLock( theMenus);
	theEntry = *theMenus;

	for (i = 0; i < numMenus; i++) 
	{
		theID = theEntry[i].MENUid;
		if (theID < 100)
			EnableItem( GetMHandle(theID), 0);
	}
	HUnlock( theMenus);
	DrawMenuBar();

}	/* CSmartBartender::EnableAllMenus */
/*****************************************************************************/
