#pragma once

#include <CCluster.h>

class CUnorderedList : public CCluster
{
	protected:
	
		CompareFunc fCompare;
		long fCurrent;

	public:
	
		void IUnorderedList( CompareFunc compare );
		
		virtual Boolean Includes( CObject* anObject );
		
		virtual void AddAll( CCluster* aCluster );
		virtual void RemoveAll( void );
	
		virtual CObject* At( long anIndex );
	
		virtual void First( void );
		virtual void Next( void );
		virtual CObject* Current( void );
		virtual long CurrentIndex( void );
	
		virtual void SetCompare( CompareFunc compare );
		 
	protected:
	
		virtual Boolean FindIndex( CObject* anObject, long* foundIndex );
};


pascal void __ForgetCluster( Ptr *objAddr );

#define ForgetCluster( _cluster ) __ForgetCluster( (Ptr*) &_cluster )