#include "CExpanderTitle.h"


TCL_DEFINE_CLASS_D1( CExpanderTitle, CExpanderLabel );


CExpanderTitle :: CExpanderTitle() : CExpanderLabel()
{
	TCL_END_CONSTRUCTOR
}




CExpanderTitle :: CExpanderTitle( CView *anEnclosure, CBureaucrat *aSupervisor, 
								  short aWidth, short aHeight, short aHLoc, short aVLoc,
								  SizingOption aHSizing, SizingOption aVSizing )
				: CExpanderLabel( anEnclosure, aSupervisor, aWidth, aHeight, aHLoc, aVLoc,
								  aHSizing, aVSizing )
{
	TCL_END_CONSTRUCTOR
}


CExpanderTitle :: ~CExpanderTitle()
{
	TCL_START_DESTRUCTOR

	itsText = NULL;
}


void CExpanderTitle :: SetLabelTextString( StringHandle hdl )
{
	itsText = hdl;
	TextSizeChanged();
}


void CExpanderTitle :: PutTo( CStream &stream )
{
	stream << rsrcID << index;

	CExpanderLabel::PutTo( stream );
}


void CExpanderTitle :: GetFrom( CStream &stream )
{
	stream >> rsrcID >> index;

	CExpanderLabel::GetFrom( stream );
}
								  