#pragma once

#include <CPane.h>


class CAccordionPane : public CPane // NOTE: This is an abstract class
{
	public:

		CRunArray* itsSubviewPortions;
		long itsTotalFixedSize;

	public:
	
		void IAccordionPane
			( CView *anEnclosure
			, CBureaucrat *aSupervisor
			, short aWidth
			, short aHeight
			, short aHEncl
			, short aVEncl
			, SizingOption aHSizing
			, SizingOption aVSizing );
		virtual void Dispose( void );

		virtual void ChangeSize( Rect *delta, Boolean redraw );
		virtual void ForceResize( Boolean redraw );

		virtual void SetSubviewPortion( CPane* aSubview, short aPortion, Boolean redraw );
		
}; /* CAccordionPane */



class CHAccordionPane : public CAccordionPane
{
	public:

#		define IHAccordionPane IAccordionPane

		virtual void ForceResize( Boolean redraw );		
		virtual void AddSubview( CView* aSubview );

}; /* CHAccordionPane */



class CVAccordionPane : public CAccordionPane
{
	public:

#		define IVAccordionPane IAccordionPane

		virtual void ForceResize( Boolean redraw );		
		virtual void AddSubview( CView* aSubview );

}; /* CVAccordionPane */


