/******************************************************************************
 CPEditScrollPane.h

					Interface for the PEditScrollPane Class
		
	Copyright  1992 Christopher R. Wysocki.  All rights reserved.
	Based on code copyright  1989-1991 Symantec Corporation.
	
 ******************************************************************************/
 
#define _H_CPEditScrollPane				/* Include this file only once		*/

#include <CScrollPane.h>				/* Interface for its superclass		*/

										/* Class Declaration				*/
class CPEditScrollPane : public CScrollPane {

								/** Instance Variables **/
protected:
	short			hScale;				/* Horizontal scale factor			*/
	short			vScale;				/* Vertical scale factor			*/
	
								/** Instance Methods **/
public:
									/** Construct/Desctruction **/
	void			IPEditScrollPane(CView *anEnclosure, CBureaucrat *aSupervisor,
							short aWidth, short aHeight, short aHEncl, short aVEncl,
							SizingOption aHSizing, SizingOption aVSizing,
							Boolean hasHoriz, Boolean hasVert, Boolean hasSizeBox);
	virtual void	IViewTemp(CView *anEnclosure, CBureaucrat *aSupervisor,
							Ptr viewData);
	
									/** Scroll Bar Maintenance **/
	virtual void	AdjustScrollMax(void);
	virtual void	Calibrate(void);
	
									/** Scroll Performance **/
	virtual void	DoThumbDrag(short hDelta, short vDelta);
};
