/****
 * CIntelligentPanorama.h
 *
 *	This class makes the Panorama a little more intelligent.
 *
 *	Copyright  1993 Quipus, by Mrten Srliden.  All rights reserved.
 *
 ****/

#define _H_CIntelligentPanorama			/* Include this file only once */

#include <CPanorama.h>


struct CIntelligentPanorama : CPanorama {

	Boolean autoScrolled;		// Used by ChangeSize

/** Construction and destruction methods **/
	void		IIntelligentPanorama(CView *anEnclosure, CBureaucrat *aSupervisor,
							short aWidth, short aHeight,
							short aHEncl, short aVEncl,
							SizingOption aHSizing, SizingOption aVSizing);
	void		Dispose(void);

/** Accessing methods **/
	void		SetBounds(LongRect *aBounds);

/** Drawing methods **/
	void		ResizeFrame(register Rect *delta);

/** Size and location methods **/
	void		ChangeSize(register Rect *delta, Boolean redraw);
};
