/*
 * Use this file to create a TCL debugging precompiled header 
 *
 * AUTHOR: Andrew_Gilmartin@Brown.Edu
 * MODIFIED: 5/22/92
 */
 
#include <MacHeaders>

#define __TCL_DEBUG__ 1

/* Control */

#include <CArrowPopupPane.h>
#include <CButton.h>
#include <CCheckBox.h>
#include <CIconPane.h>
#include <CPopupMenu.h>
#include <CPopupPane.h>
#include <CRadioControl.h>
#include <CRadioGroupPane.h>
#include <CStdPopupPane.h>

/* Core */

#include <CAppleEvent.h>
#include <CApplication.h>
#include <CArray.h>
#include <CBartender.h>
#include <CBureaucrat.h>
#include <CChore.h>
#include <CClipboard.h>
#include <CCluster.h>
#include <CCollaborator.h>
#include <CCollection.h>
#include <CControl.h>
#include <CDecorator.h>
#include <CDesktop.h>
#include <CDirector.h>
#include <CDirectorOwner.h>
#include <CDocument.h>
#include <CEnvironment.h>
#include <CError.h>
#include <CFile.h>
#include <CList.h>
#include <CMBarChore.h>
#include <CMouseTask.h>
#include <CObject.h>
#include <Commands.h>
#include <Constants.h>
#include <CPane.h>
#include <CPaneBorder.h>
#include <CPanorama.h>
#include <CPicture.h>
#include <CPrinter.h>
#include <CRunArray.h>
#include <CScrollBar.h>
#include <CScrollPane.h>
#include <CSizeBox.h>
#include <CSwitchboard.h>
#include <CTask.h>
#include <CView.h>
#include <CWindow.h>
#include <Global.h>
#include <TCLUtilities.h>
#include <TBUtilities.h>

/* Dialog */

#include <CDialog.h>
#include <CDialogDirector.h>
#include <CDialogText.h>
#include <CDLOGDialog.h>
#include <CDLOGDirector.h>
#include <CIntegerText.h>

/* File */

#include <CDataFile.h>
#include <CPictFile.h>
#include <CPNTGFile.h>
#include <CResFile.h>

/* More */

#include <CBitMap.h>
#include <CBitMapPane.h>
#include <CStack.h>
#include <CTextEnvirons.h>

/* Table */

#include <CArrayPane.h>
#include <CTable.h>
#include <CTableDragger.h>

/* Text */

#include <CAbstractText.h>
#include <CEditText.h>
#include <CStyleTEClipboard.h>
#include <CStyleTEEditTask.h>
#include <CStyleTEStyleTask.h>
#include <CStyleText.h>
#include <CTextEditTask.h>
#include <CTextStyleTask.h>
